Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## socket
Interface StatusPeer

All Known Implementing Classes:
  telnet, TelnetIO

public abstract interface StatusPeer

StatusPeer -- interface for status messages --

Version:
  $Id: StatusPeer.html,v 1.1.1.1 2005/09/25 22:40:20 rswindell Exp $
Author:
  Matthias L. Jugel, Marcus Meißner

Method Summary
`java.lang.Object` | `notifyStatus(java.util.Vector status)` This method is called for the peer of the TelnetIO class if there is a statuschange.

Method Detail

### notifyStatus

    public java.lang.Object notifyStatus(java.util.Vector status)

  This method is called for the peer of the TelnetIO class if there is a statuschange.
  Parameters:
    `status` - A Vector containing the key as element 0 and any arguments from element 1 on.
  Returns:
    an object that matches the requested information or null
  See Also:
    `TelnetIO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD